HSClientProtocolPBServiceImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.impl.pb.service, class: HSClientProtocolPBServiceImpl

Package org.apache.hadoop.mapreduce.v2.api.impl.pb.service

# Class HSClientProtocolPBServiceImpl

java.lang.Object
org.apache.hadoop.mapreduce.v2.api.impl.pb.service.MRClientProtocolPBServiceImpl
org.apache.hadoop.mapreduce.v2.api.impl.pb.service.HSClientProtocolPBServiceImpl

All Implemented Interfaces:
  `HSClientProtocolPB`, `MRClientProtocolPB`, `org.apache.hadoop.yarn.proto.HSClientProtocol.HSClientProtocolService.BlockingInterface`, `org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface`

public class HSClientProtocolPBServiceImpl extends MRClientProtocolPBServiceImpl implements HSClientProtocolPB

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSClientProtocolPBServiceImpl(HSClientProtocol impl)`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.api.impl.pb.service.MRClientProtocolPBServiceImpl

  `cancelDelegationToken, failTaskAttempt, getCounters, getDelegationToken, getDiagnostics, getJobReport, getTaskAttemptCompletionEvents, getTaskAttemptReport, getTaskReport, getTaskReports, killJob, killTask, killTaskAttempt, renewDelegationToken`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.yarn.proto.MRClientProtocol.MRClientProtocolService.BlockingInterface

  `cancelDelegationToken, failTaskAttempt, getCounters, getDelegationToken, getDiagnostics, getJobReport, getTaskAttemptCompletionEvents, getTaskAttemptReport, getTaskReport, getTaskReports, killJob, killTask, killTaskAttempt, renewDelegationToken`

- ## Constructor Details

  - ### HSClientProtocolPBServiceImpl

    public HSClientProtocolPBServiceImpl(HSClientProtocol impl)